Bug 816587

Summary: [as7] Deployments list too many packages
Product: [Other] RHQ Project Reporter: Lukas Krejci <lkrejci>
Component: PluginsAssignee: Lukas Krejci <lkrejci>
Status: CLOSED CURRENTRELEASE QA Contact: Mike Foley <mfoley>
Severity: high Docs Contact:
Priority: high    
Version: 4.4CC: hrupp
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-09-01 15:19:21 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 707223    

Description Lukas Krejci 2012-04-26 09:12:11 EDT
Description of problem:
Each of the deployments under AS7 lists the packages corresponding to all deployments present in the AS.

Version-Release number of selected component (if applicable):
4.4.0-SNAPSHOT

How reproducible:
always

Steps to Reproduce:
1.Deploy 2 WAR files into AS7
2. wait for the content to be discovered
3. Look at the Content tab of any of the WARs discovered
  
Actual results:
The content tab lists 2 WAR files

Expected results:
only the WAR file corresponding to the actual WAR resource should be listed

Additional info:
Comment 1 Lukas Krejci 2012-04-27 16:28:33 EDT
commit http://git.fedorahosted.org/git/?p=rhq/rhq.git;a=commitdiff;h=d3927476f7f8f4f6172a1d92ee636ee853f931f7
Author: Lukas Krejci <lkrejci@redhat.com>
Date:   Fri Apr 27 22:16:26 2012 +0200

    [BZ 816593][BZ 816587] - Deployments now correctly advertise their content
    packages (we only support archived deployments for now).
    Also added support for retrieving the package bits.
Comment 2 Lukas Krejci 2012-05-15 12:08:59 EDT
master http://git.fedorahosted.org/git/?p=rhq/rhq.git;a=commitdiff;h=7b9476c940c210207378d01f96bbf2b27a858d5c
Author: Lukas Krejci <lkrejci@redhat.com>
Date:   Tue May 15 18:05:36 2012 +0200

    [BZ 816593][BZ 816587] - Adding unit tests for content retrieval and detection
    in standalone server.
Comment 3 Heiko W. Rupp 2013-09-01 15:19:21 EDT
Bulk closing of BZs that have no target version set, but which are ON_QA for more than a year and thus are in production for a long time.